<?php
/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the "id" fields, make sure to use all lowercase and no spaces.
 *
 */
if(!function_exists('optionsframework_options')) {
	function optionsframework_options() {
// Fonts
			global $typography_mixed_fonts;
			$typography_mixed_fonts = array_merge(options_typography_get_os_fonts() , options_typography_get_google_fonts());
			$typography_mixed_fonts["Roboto, sans-serif"] = "Roboto *";
            $typography_mixed_fonts["'Damion', cursive"] = "'Damion' *";
			asort($typography_mixed_fonts);

			$options = array();
// ---------------------------------------------------------
// General
// ---------------------------------------------------------
			$options['general'] = array( "name" => theme_locals('general'),
								"type" => "heading");
			// Background Defaults
			$background_defaults = array(
				'color' => '#2f2f2f',
				'image' => '',
				'repeat' => 'repeat',
				'position' => 'top center',
				'attachment'=>'scroll'
			);
			$options['body_background'] = array(
								"id" => "body_background",
								"std" => $background_defaults);

			$options['main_layout'] = array(
								"id" => "main_layout",
								"std" => "fullwidth");

			$options['main_background'] = array(
								"id" => "main_background",
								"std" => "#252525");

			$header_bg_defaults = array(
				'color' => '#252525',
				'image' => '',
				'repeat' => 'repeat',
				'position' => 'top center',
				'attachment'=>'scroll'
			);
			$options['header_background'] = array(
								"id" => "header_background",
								"std" => $header_bg_defaults);

			$options['links_color'] = array(
								"id" => "links_color",
								"std" => "#fd8500");

			$options['links_color_hover'] = array(
								"id" => "links_color_hover",
								"std" => "#8fbf0e");

			$options['google_mixed_3'] = array(
								'id' => 'google_mixed_3',
								'std' => array( 'size' => '14px', 'lineheight' => '18px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#565656'));

			$options['h1_heading'] = array(
								'id' => 'h1_heading',
								'std' => array( 'size' => '30px', 'lineheight' => '35px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['h2_heading'] = array(
								'id' => 'h2_heading',
								'std' => array( 'size' => '22px', 'lineheight' => '26px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['h3_heading'] = array(
								'id' => 'h3_heading',
								'std' => array( 'size' => '18px', 'lineheight' => '18px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['h4_heading'] = array(
								'id' => 'h4_heading',
								'std' => array( 'size' => '14px', 'lineheight' => '20px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['h5_heading'] = array(
								'id' => 'h5_heading',
								'std' => array( 'size' => '12px', 'lineheight' => '18px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['h6_heading'] = array(
								'id' => 'h6_heading',
								'std' => array( 'size' => '12px', 'lineheight' => '18px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#333333'));

			$options['g_search_box_id'] = array(
								"id" => "g_search_box_id",
								"std" => "yes");

			$options['g_breadcrumbs_id'] = array(
								"id" => "g_breadcrumbs_id",
								"std" => "yes");

			$options['custom_css'] = array(
								"id" => "custom_css",
								"std" => "");

// ---------------------------------------------------------
// Logo & Favicon
// ---------------------------------------------------------
			$options["logo_favicon"] = array( "name" => theme_locals('logo_favicon'),
								"type" => "heading");

			$options['logo_type'] = array(
								"id" => "logo_type",
								"std" => "image_logo");

			$options['logo_typography'] = array(
								'id' => 'logo_typography',
								'std' => array( 'size' => '49px', 'lineheight' => '49px', 'face' => 'Damion , cursive', 'style' => 'normal', 'character'  => 'latin', 'color' => '#ffffff'));

			$options['logo_url'] = array(
								"id" => "logo_url",
								"std" => CHILD_URL . "/images/logo.png");

			$options['favicon'] = array(
								"id" => "favicon",
								"std" => CHILD_URL . "/favicon.ico");

// ---------------------------------------------------------
// Navigation
// ---------------------------------------------------------
			$options['navigation'] = array( "name" => theme_locals('navigation'),
								"type" => "heading");

			$options['menu_typography'] = array(
								'id' => 'menu_typography',
								'std' => array( 'size' => '14px', 'lineheight' => '18px', 'face' => 'Roboto, sans-serif', 'style' => 'normal', 'character'  => 'latin', 'color' => '#ffffff'));

			$options['sf_delay'] = array(
								"id" => "sf_delay",
								"std" => "1000");

			$options['sf_f_animation'] = array(
								"id" => "sf_f_animation",
								"std" => "show");

			$options['sf_sl_animation'] = array(
								"id" => "sf_sl_animation",
								"std" => "show");

			$options['sf_speed'] = array(
								"id" => "sf_speed",
								"std" => "normal");

			$options['sf_arrows'] = array(
								"id" => "sf_arrows",
								"std" => "false",
								"disable" => "true");

			$options['mobile_menu_label'] = array(
								"id" => "mobile_menu_label",
								"std" => theme_locals('mobile_menu_std'));

			$options['stickup_menu'] = array(
								"id" => "stickup_menu",
								"std" => "true");

// ---------------------------------------------------------
// Slider
// ---------------------------------------------------------
			$options['slider'] = array( "name" => theme_locals('slider'),
								"type" => "heading");

	// Slider type
			$options['sl_type'] = array(
								"id" => "slider_type",
								"std" => "camera_slider");
	// ---------------------------------------------------------
	// Camera Slider
	// ---------------------------------------------------------
			$options['sl_effect'] = array(
								"id" => "sl_effect",
								"std" => "simpleFade");

			$options['sl_columns'] = array(
								"id" => "sl_columns",
								"std" => "12");

			$options['sl_rows'] = array(
								"id" => "sl_rows",
								"std" => "8");

			$options['sl_banner'] = array(
								"id" => "sl_banner",
								"std" => "fadeIn");

			$options['sl_pausetime'] = array(
								"id" => "sl_pausetime",
								"std" => "7000");

			$options['sl_animation_speed'] = array(
								"id" => "sl_animation_speed",
								"std" => "1500");

			$options['sl_slideshow'] = array(
								"id" => "sl_slideshow",
								"std" => "true");

			$options['sl_thumbnails'] = array(
								"id" => "sl_thumbnails",
								"std" => "false"); // set "disabled" => "true" when only text in Slider posts

			$options['sl_control_nav'] = array(
								"id" => "sl_control_nav",
								"std" => "true");

			$options['sl_dir_nav'] = array(
								"id" => "sl_dir_nav",
								"std" => "false");

			$options['sl_dir_nav_hide'] = array(
								"id" => "sl_dir_nav_hide",
								"std" => "false");

			$options['sl_play_pause_button'] = array(
								"id" => "sl_play_pause_button",
								"std" => "false");

			$options['sl_pause_on_hover'] = array(
								"id" => "sl_pause_on_hover",
								"std" => "true");

			$options['sl_loader'] = array(
								"id" => "sl_loader",
								"std" => "no");
	// ---------------------------------------------------------
	// Accordion Slider
	// ---------------------------------------------------------
			$multicheck_defaults = array( '43' => 0,  '49' => 0, '50' => 0, '51' => 0, '52' => 0);
			$options['acc_show_post'] = array(
					"id" => "acc_show_post",
					"std" => $multicheck_defaults);

			$options['acc_slideshow'] = array(
								"id" => "acc_slideshow",
								"std" => "false");

			$options['acc_hover_pause'] = array(
								"id" => "acc_hover_pause",
								"std" => "true");

			$options['acc_pausetime'] = array(
								"id" => "acc_pausetime",
								"std" => "6000");

			$options['acc_animation_speed'] = array(
								"id" => "acc_animation_speed",
								"std" => "600");

			$options['acc_easing'] = array(
								"id" => "acc_easing",
								"std" => "easeOutCubic");

			$options['acc_trigger'] = array(
								"id" => "acc_trigger",
								"std" => "mouseover");

			$options['acc_starting_slide'] = array(
								"id" => "acc_starting_slide",
								"std" => "0");
// ---------------------------------------------------------
// Blog
// --------------------------------------------------------
			$options['blog'] = array( "name" => theme_locals('blog'),
								"type" => "heading");

			$options['blog_text'] = array(
								"id" => "blog_text",
								"std" => theme_locals('blog'));

			$options['blog_related'] = array(
								"id" => "blog_related",
								"std" => theme_locals('posts_std'));

			$options['blog_sidebar_pos'] = array(
								"id" => "blog_sidebar_pos",
								"std" => "right");

			$options['post_image_size'] = array(
								"id" => "post_image_size",
								"std" => "large");

			$options['single_image_size'] = array(
								"id" => "single_image_size",
								"std" => "large");

			$options['post_meta'] = array(
								"id" => "post_meta",
								"std" => "true");

			$options['post_meta_display'] = array(
								"id" => "post_meta_display",
								"std" => "only_post");

			$options['post_excerpt'] = array(
								"id" => "post_excerpt",
								"std" => "true");

// ---------------------------------------------------------
// Portfolio
// ---------------------------------------------------------
			$options['portfolio'] = array(
								"name" => theme_locals("portfolio"),
								"type" => "heading");

			$options['folio_filter'] = array(
								"id" => "folio_filter",
								"std" => "cat");

			$options['folio_title'] = array(
								"id" => "folio_title",
								"std" => "yes");

			$options['folio_excerpt'] = array(
								"id" => "folio_excerpt",
								"std" => "yes");

			$options['folio_excerpt_count'] = array(
								"id" => "folio_excerpt_count",
								"std" => "20");

			$options['folio_btn'] = array(
								"id" => "folio_btn",
								"std" => "yes");

			$options['folio_meta'] = array(
								"id" => "folio_meta",
								"std" => "yes");

			$options['layout_mode'] = array(
								"id" => "layout_mode",
								"std" => "fitRows");

			$options['items_count2'] = array(
								"id" => "items_count2",
								"std" => "8");

			$options['items_count3'] = array(
								"id" => "items_count3",
								"std" => "9");

			$options['items_count4'] = array(
								"id" => "items_count4",
								"std" => "12");

// ---------------------------------------------------------
// Footer
// ---------------------------------------------------------
			$options['footer'] = array( "name" => theme_locals("footer"),
								"type" => "heading");

			$options['footer_text'] = array(
								"id" => "footer_text",
								"std" => "");

			$options['ga_code'] = array(
								"id" => "ga_code",
								"std" => "");

			$options['feed_url'] = array(
								"id" => "feed_url",
								"std" => "");

			$options['footer_menu'] = array(
								"id" => "footer_menu",
								"std" => "true");

			$options['footer_menu_typography'] = array(
								'id' => 'footer_menu_typography',
								'std' => array( 'size' => '14px', 'lineheight' => '18px', 'face' => 'Asap', 'style' => 'normal', 'character'  => 'latin', 'color' => '#ffffff'));

// ---------------------------------------------------------
// Extra Settings
// ---------------------------------------------------------

			$options['extra_settings'] = array( "name" => __("Extra Settings", CURRENT_THEME),
								"type" => "heading");

			$options['f_logo_url'] = array( "name" => __('Footer Logo Image Path', CURRENT_THEME),
								"desc" => __('Click Upload or Enter the direct path to your <strong>footer logo image</strong>. For example <em>http://your_website_url_here/wp-content/themes/themeXXXX/images/footer-logo.png</em>', CURRENT_THEME),
								"id" => "f_logo_url",
								"std" => get_stylesheet_directory_uri() . "/images/footer-logo.png",
								"type" => "upload");	

			$options['description'] = array( "name" => __("Description", CURRENT_THEME),
								"desc" => __("Description", CURRENT_THEME),
								"id" => "description",
								"std" => "<p>Quisque nulla. Vestiero nisl, porta vel, scelerisque eget, malesuada at, neque. Vivamus eget nibh. Etiarsus leo vel metus. Nulla facilisi. Aenean nec eros. Vestibulum ante ipsum primis in faucibus orci luctus et ultricposuere cubilia Curae; Suspendisse sollicitudin velit s pharetra augue n augue. Nam elit magna, hendametincidunt ac, viva sed, nulla. Donec porta diam. Quisque diam lorem, interdum vitae, dapib.</p>",
								"type" => "editor");

			$options['phone_number'] = array( "name" => __("Phone number", CURRENT_THEME),
								"desc" => __("Phone number", CURRENT_THEME),
								"id" => "phone_number",
								"std" => "+1 959 603 6035",
								"type" => "text");

// ---------------------------------------------------------
// Social Links
// ---------------------------------------------------------
			$options[] = array( 
								"name" => __("Social", CURRENT_THEME),
								"type" => "heading");
			
			$options['facebook'] = array( 
								"name" => "Facebook URL",
								"desc" => "Facebook URL",
								"id" => "facebook",
								"std" => "#",
								"type" => "text");	
                        $options['youtube'] = array( 
								"name" => "Youtube URL",
								"desc" => "Youtube URL",
								"id" => "youtube",
								"std" => "#",
								"type" => "text");					
								
                          $options['instagram'] = array( 
								"name" => "Instagram URL",
								"desc" => "Instagram URL",
								"id" => "instagram",
								"std" => "#",
								"type" => "text");

			$options['twitter'] = array( 
								"name" => "Twitter URL",
								"desc" => "Twitter URL",
								"id" => "twitter",
								"std" => "#",
								"type" => "text");
                        $options['pinterest'] = array( 
								"name" => "Pinterest URL",
								"desc" => "Pinterest URL",
								"id" => "pinterest",
								"std" => "#",
								"type" => "text");
								

			$options['google'] = array( 
								"name" => "Google+ URL",
								"desc" => "Google+ URL",
								"id" => "google",
								"std" => "#",
								"type" => "text");
								
			$options['linkedin'] = array( 
								"name" => "Linkedin URL",
								"desc" => "Linkedin URL",
								"id" => "linkedin",
								"std" => "#",
								"type" => "text");
								
			$options['email'] = array( 
								"name" => __("Email Address", CURRENT_THEME),
								"desc" => __("Email Address", CURRENT_THEME),
								"id" => "email",
								"std" => "#",
								"type" => "text");

// ---------------------------------------------------------
// Map
// ---------------------------------------------------------
			$options[] = array( 
								"name" => "Map",
								"type" => "heading"	);

			$options['latitude'] = array( 
								"name" => __("Latitude", CURRENT_THEME),
								"desc" => __("Latitude", CURRENT_THEME),
								"id" => "latitude",
								"std" => "51.511617",
								"type" => "text");	

			$options['longitude'] = array( 
								"name" => __("Longitude", CURRENT_THEME),
								"desc" => __("Longitude", CURRENT_THEME),
								"id" => "longitude",
								"std" => "0.295014",
								"type" => "text");	

			$options['zoom'] = array( 
								"name" => __("Zoom", CURRENT_THEME),
								"desc" => __("Zoom", CURRENT_THEME),
								"id" => "zoom",
								"std" => "14",
								"type" => "text");

		return $options;
	}
}
?>
